<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.testMapper">


    <select id="selectTemp" resultType="com.ruoyi.system.domain.temp">
		select b.type_no,[uid_0]
				,[model_0]
				,[model_1]
				,[spec_0]
				,[spec_1]
				,[voltage_0]
				,[voltage_1]
				,[unit_0]
				,RTRIM([m_id_M001]) m_id_M001
				,RTRIM([name_qty_M001]) name_qty_M001
				,RTRIM([m_id_M002]) m_id_M002
				,RTRIM([name_qty_M002]) name_qty_M002
				,RTRIM([m_id_M003]) m_id_M003
				,RTRIM([name_qty_M003]) name_qty_M003
				,RTRIM([name_qty_M003_1]) name_qty_M003_1
				,RTRIM([m_id_M004]) m_id_M004
				,RTRIM([name_qty_M004]) name_qty_M004
				,RTRIM([name_qty_M004_1]) name_qty_M004_1
				,RTRIM([m_id_M005]) m_id_M005
				,RTRIM([name_qty_M005]) name_qty_M005
				,RTRIM([name_qty_M005_1]) name_qty_M005_1
				,RTRIM([m_id_M006]) m_id_M006
				,RTRIM([name_qty_M006]) name_qty_M006
				,RTRIM([m_id_M007]) m_id_M007
				,RTRIM([name_qty_M007]) name_qty_M007
				,RTRIM([m_id_M008]) m_id_M008
				,RTRIM([name_qty_M008]) name_qty_M008
				,RTRIM([m_id_M009]) m_id_M009
				,RTRIM([name_qty_M009]) name_qty_M009
				,RTRIM([m_id_M010]) m_id_M010
				,RTRIM([name_qty_M010]) name_qty_M010
				,RTRIM([name_qty_M010_1]) name_qty_M010_1
				,RTRIM([m_id_M011]) m_id_M011
				,RTRIM([name_qty_M011]) name_qty_M011
				,RTRIM([m_id_M012]) m_id_M012
				,RTRIM([name_qty_M012]) name_qty_M012
				,RTRIM([m_id_M013]) m_id_M013
				,RTRIM([name_qty_M013]) name_qty_M013
				,RTRIM([m_id_M014]) m_id_M014
				,RTRIM([name_qty_M014]) name_qty_M014
				,RTRIM([m_id_M015]) m_id_M015
				,RTRIM([name_qty_M015]) name_qty_M015
				,RTRIM([m_id_M016]) m_id_M016
				,RTRIM([name_qty_M016]) name_qty_M016
				,RTRIM([m_id_M017]) m_id_M017
				,RTRIM([name_qty_M017]) name_qty_M017
				,RTRIM([m_id_M018]) m_id_M018
				,RTRIM([name_qty_M018]) name_qty_M018
				,RTRIM([m_id_M019]) m_id_M019
				,RTRIM([name_qty_M019]) name_qty_M019
				,RTRIM([name_qty_M019_1]) name_qty_M019_1
				,RTRIM([m_id_M020]) m_id_M020
				,RTRIM([name_qty_M020]) name_qty_M020
				,RTRIM([m_id_M021]) m_id_M021
				,RTRIM([name_qty_M021]) name_qty_M021
				,RTRIM([name_qty_M021_1]) name_qty_M021_1
				,RTRIM([m_id_M022]) m_id_M022
				,RTRIM([name_qty_M022]) name_qty_M022
				,RTRIM([m_id_M023]) m_id_M023
				,RTRIM([name_qty_M023]) name_qty_M023
				,RTRIM([m_id_M024]) m_id_M024
				,RTRIM([name_qty_M024]) name_qty_M024
				,RTRIM([m_id_M025]) m_id_M025
				,RTRIM([name_qty_M025]) name_qty_M025
				,RTRIM([m_id_M026]) m_id_M026
				,RTRIM([name_qty_M026]) name_qty_M026
				,RTRIM([m_id_M027]) m_id_M027
				,RTRIM([name_qty_M027]) name_qty_M027
				,RTRIM([m_id_M028]) m_id_M028
				,RTRIM([name_qty_M028]) name_qty_M028
				,RTRIM([m_id_M029]) m_id_M029
				,RTRIM([name_qty_M029]) name_qty_M029
				,RTRIM([m_id_M030]) m_id_M030
				,RTRIM([name_qty_M030]) name_qty_M030
				,RTRIM([m_id_M031]) m_id_M031
				,RTRIM([name_qty_M031]) name_qty_M031
				,RTRIM([m_id_M032]) m_id_M032
				,RTRIM([name_qty_M032]) name_qty_M032
				,RTRIM([m_id_M033]) m_id_M033
				,RTRIM([name_qty_M033]) name_qty_M033
				,RTRIM([m_id_M034]) m_id_M034
				,RTRIM([name_qty_M034]) name_qty_M034
				,RTRIM([m_id_M035]) m_id_M035
				,RTRIM([name_qty_M035]) name_qty_M035
				,RTRIM([m_id_M036]) m_id_M036
				,RTRIM([name_qty_M036]) name_qty_M036
				,RTRIM([m_id_M037]) m_id_M037
				,RTRIM([name_qty_M037]) name_qty_M037
				,RTRIM([name_qty_M037_1]) name_qty_M037_1
				,RTRIM([m_id_M038]) m_id_M038
				,RTRIM([name_qty_M038]) name_qty_M038
				,RTRIM([m_id_M039]) m_id_M039
				,RTRIM([name_qty_M039]) name_qty_M039
				,RTRIM([name_qty_M039_1]) name_qty_M039_1
				,RTRIM([m_id_M040]) m_id_M040
				,RTRIM([name_qty_M040]) name_qty_M040
				,RTRIM([m_id_M041]) m_id_M041
				,RTRIM([name_qty_M041]) name_qty_M041
				,RTRIM([m_id_M042]) m_id_M042
				,RTRIM([name_qty_M042]) name_qty_M042
				,RTRIM([name_qty_M042_1]) name_qty_M042_1
				,RTRIM([m_id_M043]) m_id_M043
				,RTRIM([name_qty_M043]) name_qty_M043
				,RTRIM([m_id_M044]) m_id_M044
				,RTRIM([name_qty_M044]) name_qty_M044
				,RTRIM([m_id_M045]) m_id_M045
				,RTRIM([name_qty_M045]) name_qty_M045
				,RTRIM([m_id_M046]) m_id_M046
				,RTRIM([name_qty_M046]) name_qty_M046
				,RTRIM([m_id_M047]) m_id_M047
				,RTRIM([name_qty_M047]) name_qty_M047
				,RTRIM([m_id_M048]) m_id_M048
				,RTRIM([name_qty_M048]) name_qty_M048
				,RTRIM([name_qty_M048_1]) name_qty_M048_1
				,RTRIM([m_id_M049]) m_id_M049
				,RTRIM([name_qty_M049]) name_qty_M049
				,RTRIM([m_id_M050]) m_id_M050
				,RTRIM([name_qty_M050]) name_qty_M050
				,RTRIM([m_id_M051]) m_id_M051
				,RTRIM([name_qty_M051]) name_qty_M051
				,RTRIM([m_id_M052]) m_id_M052
				,RTRIM([name_qty_M052]) name_qty_M052
				,RTRIM([m_id_M053]) m_id_M053
				,RTRIM([name_qty_M053]) name_qty_M053
				,RTRIM([m_id_M054]) m_id_M054
				,RTRIM([name_qty_M054]) name_qty_M054
				,RTRIM([m_id_M055]) m_id_M055
				,RTRIM([name_qty_M055]) name_qty_M055
				,RTRIM([m_id_M056]) m_id_M056
				,RTRIM([name_qty_M056]) name_qty_M056
				,RTRIM([m_id_M057]) m_id_M057
				,RTRIM([name_qty_M057]) name_qty_M057
				,RTRIM([m_id_M058]) m_id_M058
				,RTRIM([name_qty_M058]) name_qty_M058
				,RTRIM([m_id_M059]) m_id_M059
				,RTRIM([name_qty_M059]) name_qty_M059
				,RTRIM([m_id_M060]) m_id_M060
				,RTRIM([name_qty_M060]) name_qty_M060
				,RTRIM([m_id_M061]) m_id_M061
				,RTRIM([name_qty_M061]) name_qty_M061
				,RTRIM([m_id_M062]) m_id_M062
				,RTRIM([name_qty_M062]) name_qty_M062
				,RTRIM([m_id_M063]) m_id_M063
				,RTRIM([name_qty_M063]) name_qty_M063
				,RTRIM([m_id_M064]) m_id_M064
				,RTRIM([name_qty_M064]) name_qty_M064
				,RTRIM([m_id_M065]) m_id_M065
				,RTRIM([name_qty_M065]) name_qty_M065
				,RTRIM([m_id_M066]) m_id_M066
				,RTRIM([name_qty_M066]) name_qty_M066
				,RTRIM([m_id_M067]) m_id_M067
				,RTRIM([name_qty_M067]) name_qty_M067
				,RTRIM([m_id_M068]) m_id_M068
				,RTRIM([name_qty_M068]) name_qty_M068

		from temp_3 a left join c_material_type b on a.desp_0 = b.type_name
	</select>

	<insert id="insertMaterialBatch">
		INSERT INTO c_material (material_id, material_xingh, material_guig, material_diany, material_dw)
		VALUES
		<foreach collection="list" index="" item="t" separator=",">
			(#{t.material_id,jdbcType=INTEGER},
			#{t.material_xingh,jdbcType=VARCHAR},
			#{t.material_guig,jdbcType=VARCHAR},
			#{t.material_diany,jdbcType=VARCHAR},
			#{t.material_dw,jdbcType=VARCHAR})
		</foreach>
	</insert>

	<insert id="insertCostBatch">
		INSERT INTO c_material_cost (cost_id, cost_material_id, cost_cl_id, cost_cl_qty, cost_cl_qty_2)
		VALUES
		<foreach collection="list" index="" item="t" separator=",">
			(#{t.cost_id,jdbcType=INTEGER},
			#{t.cost_material_id,jdbcType=INTEGER},
			#{t.cost_cl_id,jdbcType=VARCHAR},
			#{t.cost_cl_qty,jdbcType=VARCHAR},
			#{t.cost_cl_qty_2,jdbcType=VARCHAR})
		</foreach>
	</insert>

</mapper>
